Your submission was sent successfully! Close

USN-715-1: Linux kernel vulnerabilities

29 January 2009

Linux kernel vulnerabilities

Releases

Packages

Details

Hugo Dias discovered that the ATM subsystem did not correctly manage
socket counts. A local attacker could exploit this to cause a system hang,
leading to a denial of service. (CVE-2008-5079)

It was discovered that the inotify subsystem contained watch removal
race conditions. A local attacker could exploit this to crash the system,
leading to a denial of service. (CVE-2008-5182)

Dann Frazier discovered that in certain situations sendmsg did not
correctly release allocated memory. A local attacker could exploit
this to force the system to run out of free memory, leading to a denial
of service. (CVE-2008-5300)

Helge Deller discovered that PA-RISC stack unwinding was not handled
correctly. A local attacker could exploit this to crash the system,
leading do a denial of service. This did not affect official Ubuntu
kernels, but was fixed in the source for anyone performing HPPA kernel
builds. (CVE-2008-5395)

It was discovered that the ATA subsystem did not correctly set timeouts. A
local attacker could exploit this to cause a system hang, leading to a
denial of service. (CVE-2008-5700)

It was discovered that the ib700 watchdog timer did not correctly check
buffer sizes. A local attacker could send a specially crafted ioctl
to the device to cause a system crash, leading to a denial of service.
(CVE-2008-5702)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 8.10

After a standard system upgrade you need to reboot your computer to
effect the necessary changes.

ATTENTION: Due to an unavoidable ABI change the kernel updates have
been given a new version number, which requires you to recompile and
reinstall all third party kernel modules you might have installed. If
you use linux-restricted-modules, you have to update that package as
well to get modules which work with the new kernel version. Unless you
manually uninstalled the standard kernel metapackages (e.g. linux-generic,
linux-server, linux-powerpc), a standard system upgrade will automatically
perform this as well.

Related notices

  • USN-714-1: linux-image-2.6.15-53-hppa64, linux-image-2.6.15-53-amd64-xeon, linux-image-2.6.15-53-sparc64, linux-image-2.6.24-23-xen, linux-image-2.6.22-16-xen, linux-source-2.6.22, linux-image-2.6.15-53-hppa32-smp, linux-image-2.6.15-53-itanium-smp, linux-image-2.6.15-53-386, linux-image-2.6.22-16-virtual, linux-image-2.6.24-23-lpia, linux-image-2.6.22-16-sparc64-smp, linux-image-2.6.15-53-mckinley, linux-image-2.6.15-53-itanium, linux-image-2.6.15-53-k7, linux-image-2.6.22-16-lpiacompat, linux-image-2.6.24-23-rt, linux-image-2.6.24-23-sparc64, linux-image-2.6.15-53-powerpc, linux-image-2.6.15-53-powerpc64-smp, linux-image-2.6.15-53-amd64-server, linux-image-2.6.22-16-powerpc, linux-image-2.6.22-16-cell, linux-image-2.6.24-23-powerpc64-smp, linux-image-2.6.15-53-hppa64-smp, linux-image-2.6.24-23-itanium, linux-source-2.6.15, linux-image-2.6.15-53-powerpc-smp, linux-image-2.6.22-16-powerpc64-smp, linux-image-2.6.22-16-386, linux-image-2.6.22-16-rt, linux-image-2.6.22-16-sparc64, linux-image-2.6.24-23-lpiacompat, linux-image-2.6.15-53-686, linux-image-2.6.24-23-generic, linux-image-2.6.15-53-sparc64-smp, linux-image-2.6.15-53-mckinley-smp, linux-image-2.6.22-16-generic, linux-image-2.6.15-53-amd64-generic, linux-image-2.6.22-16-mckinley, linux-image-2.6.22-16-powerpc-smp, linux-image-2.6.24-23-sparc64-smp, linux-image-2.6.24-23-virtual, linux-image-2.6.15-53-amd64-k8, linux-image-2.6.24-23-powerpc, linux-image-2.6.22-16-hppa64, linux-image-2.6.22-16-itanium, linux-image-2.6.24-23-hppa64, linux, linux-image-2.6.24-23-openvz, linux-image-2.6.15-53-server-bigiron, linux-image-2.6.24-23-powerpc-smp, linux-image-2.6.15-53-server, linux-image-2.6.22-16-ume, linux-image-2.6.24-23-mckinley, linux-image-2.6.24-23-386, linux-image-2.6.15-53-hppa32, linux-image-2.6.22-16-hppa32, linux-image-2.6.22-16-lpia, linux-image-2.6.24-23-hppa32, linux-image-2.6.22-16-server, linux-image-2.6.24-23-server